Skip to content

Get All Cluster Notes

GET
/cluster/notes
curl --request GET \
--url https://sylve.lan:8181/api/cluster/notes \
--header 'Authorization: <Authorization>'

Get all notes stored in the cluster

Success

Media typeapplication/json
object
data
Array<object>
object
content
string
createdAt
string
id
integer
title
string
updatedAt
string
error
string
message
string
status
string
Examplegenerated
{
"data": [
{
"content": "example",
"createdAt": "example",
"id": 1,
"title": "example",
"updatedAt": "example"
}
],
"error": "example",
"message": "example",
"status": "example"
}

Unauthorized

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Forbidden

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}

Internal Server Error

Media typeapplication/json
object
data
error
string
message
string
status
string
Examplegenerated
{
"data": "example",
"error": "example",
"message": "example",
"status": "example"
}